
Robotics Systems Commons - Enhancement #101
Hierarchical Logger Structure
08/30/2010 10:04 PM - J. Wienke

Status: Resolved Start date: 08/30/2010
Priority: Low Due date:
Assignee: J. Wienke % Done: 100%
Category: Logging Estimated time: 0.00 hour
Target version:
Description

Think about if this is required.
Includes:
    -  Level assignment through branches
    -  Branch-configuration

Associated revisions
Revision d9ede6d5 - 12/07/2011 06:18 PM - J. Wienke

Internally base current logging system on a tree. This commit does not yet change the external behavior of the logging tree

refs #101

Revision 4ac28a8b - 12/08/2011 09:36 AM - J. Wienke

Make each node in the logger tree aware of its parent

refs #101

Revision ffe8187e - 12/15/2011 09:28 AM - J. Wienke

implemented a hierarchical logging structure. This structure is maintained entirely in LoggerFactory

fixes #101

Revision d19584dd - 12/15/2011 09:35 AM - J. Wienke

improved documentation

refs #101

Revision fcb28832 - 12/15/2011 09:42 AM - J. Wienke

missing files

refs #101
History
#1 - 08/30/2010 10:08 PM - J. Wienke
- Category set to Logging

#2 - 12/05/2011 07:59 PM - J. Wienke
- Description updated

#3 - 12/06/2011 01:55 PM - J. Wienke

http://logging.apache.org/log4j/1.2/manual.html resemble this structure.

#4 - 12/06/2011 07:41 PM - J. Wienke
- Status changed from New to In Progress
- Assignee set to J. Wienke

#5 - 12/07/2011 06:20 PM - J. Wienke
- % Done changed from 0 to 20

#6 - 12/15/2011 09:30 AM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 20 to 100

Applied in changeset r433.

04/26/2024 2/2

http://logging.apache.org/log4j/1.2/manual.html

